/*
Oracle JDBC sample application
Written by Jose Mari Reyes
www.angelfire.com/co2/xtechnica
jet_reyes@jetemail.net

This sample program was written using JBuilder IDE
*/

package oraapp;
import java.sql.*;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import com.borland.dx.sql.dataset.*;
import javax.swing.border.*;
import com.borland.jbcl.layout.*;

public class Frame1 extends JFrame {
  JPanel contentPane;
  Border border1;
  JButton butQuery = new JButton();
  JTextField txtUser = new JTextField();
  JTextField txtPwd = new JTextField();
  JLabel jLabel1 = new JLabel();
  JLabel jLabel2 = new JLabel();
  List list1 = new List();

  /**Construct the frame*/
  public Frame1() {
    enableEvents(AWTEvent.WINDOW_EVENT_MASK);
    try {
      jbInit();
    }
    catch(Exception e) {
      e.printStackTrace();
    }
  }
  /**Component initialization*/
  private void jbInit() throws Exception  {
    //setIconImage(Toolkit.getDefaultToolkit().createImage(Frame1.class.getResource("[Your Icon]")));
    contentPane = (JPanel) this.getContentPane();
    border1 = BorderFactory.createCompoundBorder(BorderFactory.createBevelBorder(BevelBorder.RAISED,Color.white,Color.white,new Color(178, 178, 178),new Color(124, 124, 124)),BorderFactory.createEmptyBorder(4,4,4,4));
    contentPane.setLayout(null);
    this.setSize(new Dimension(400, 232));
    this.setTitle("Ora App");
    butQuery.setText("Fetch EMP");
    butQuery.setBounds(new Rectangle(294, 95, 95, 24));
    butQuery.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        butQuery_actionPerformed(e);
      }
    });
    jLabel1.setText("User");
    jLabel1.setBounds(new Rectangle(187, 28, 63, 14));
    jLabel2.setText("Password");
    jLabel2.setBounds(new Rectangle(185, 49, 65, 16));
    txtPwd.setBounds(new Rectangle(250, 44, 137, 20));
    txtUser.setBounds(new Rectangle(250, 25, 137, 18));
    list1.setBounds(new Rectangle(12, 22, 164, 178));
    contentPane.add(txtUser, null);
    contentPane.add(txtPwd, null);
    contentPane.add(jLabel1, null);
    contentPane.add(jLabel2, null);
    contentPane.add(butQuery, null);
    contentPane.add(list1, null);
  }
  /**Overridden so we can exit when window is closed*/
  protected void processWindowEvent(WindowEvent e) {
    super.processWindowEvent(e);
    if (e.getID() == WindowEvent.WINDOW_CLOSING) {
      System.exit(0);
    }
  }



  void butQuery_actionPerformed(ActionEvent e)
  {
  String DbUrl = "jdbc:oracle:thin:@CDSI_SERVER:1521:ALLEGRO";

  try{

     Class.forName("oracle.jdbc.driver.OracleDriver");
     Connection Con = DriverManager.getConnection(DbUrl,
                      txtUser.getText() , txtPwd.getText());

     Statement S = Con.createStatement();
     ResultSet res = S.executeQuery("select * from emp");

     while (res.next()) {
      this.list1.add(res.getString("EMPNO") + "  " + res.getString("ENAME"));
     }

  }
  catch(Exception ex)
  {
    System.err.println(ex.getMessage());
    //System.exit(2);
  }


  }





 }
